API Reference
List ISP products
Static ISP IPs you can order now, with the price per IP for 30 days. meta.discounts lists the volume and term discounts applied to an order.
GET
/
isp
/
products
List ISP products
curl --request GET \
--url https://proxylane.dev/api/v1/isp/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://proxylane.dev/api/v1/isp/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://proxylane.dev/api/v1/isp/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://proxylane.dev/api/v1/isp/products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://proxylane.dev/api/v1/isp/products"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://proxylane.dev/api/v1/isp/products")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://proxylane.dev/api/v1/isp/products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "isp_us_retail",
"country_code": "US",
"country": "United States",
"name": "AI accounts",
"best_for": "Claude, ChatGPT and other long-lived accounts",
"kind": "proxies",
"min_quantity": 1,
"max_quantity": 200,
"price_cents_per_ip_month": 390,
"terms_days": [
30,
60,
90
],
"protocols": [
"http",
"socks5"
],
"stock": "in",
"stock_count": 1000
}
],
"meta": {
"discounts": {
"volume": [
{
"min_quantity": 10,
"percent": 5
},
{
"min_quantity": 25,
"percent": 10
}
],
"term": [
{
"days": 60,
"percent": 5
},
{
"days": 90,
"percent": 10
},
{
"days": 360,
"percent": 15
}
]
}
}
}{
"error": {
"code": "insufficient_pool_traffic",
"message": "<string>",
"available_bytes": 123,
"required_cents": 123,
"fields": {},
"balance_cents": 123
}
}{
"error": {
"code": "insufficient_pool_traffic",
"message": "<string>",
"available_bytes": 123,
"required_cents": 123,
"fields": {},
"balance_cents": 123
}
}{
"error": {
"code": "insufficient_pool_traffic",
"message": "<string>",
"available_bytes": 123,
"required_cents": 123,
"fields": {},
"balance_cents": 123
}
}⌘I
List ISP products
curl --request GET \
--url https://proxylane.dev/api/v1/isp/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://proxylane.dev/api/v1/isp/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://proxylane.dev/api/v1/isp/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://proxylane.dev/api/v1/isp/products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://proxylane.dev/api/v1/isp/products"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://proxylane.dev/api/v1/isp/products")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://proxylane.dev/api/v1/isp/products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "isp_us_retail",
"country_code": "US",
"country": "United States",
"name": "AI accounts",
"best_for": "Claude, ChatGPT and other long-lived accounts",
"kind": "proxies",
"min_quantity": 1,
"max_quantity": 200,
"price_cents_per_ip_month": 390,
"terms_days": [
30,
60,
90
],
"protocols": [
"http",
"socks5"
],
"stock": "in",
"stock_count": 1000
}
],
"meta": {
"discounts": {
"volume": [
{
"min_quantity": 10,
"percent": 5
},
{
"min_quantity": 25,
"percent": 10
}
],
"term": [
{
"days": 60,
"percent": 5
},
{
"days": 90,
"percent": 10
},
{
"days": 360,
"percent": 15
}
]
}
}
}{
"error": {
"code": "insufficient_pool_traffic",
"message": "<string>",
"available_bytes": 123,
"required_cents": 123,
"fields": {},
"balance_cents": 123
}
}{
"error": {
"code": "insufficient_pool_traffic",
"message": "<string>",
"available_bytes": 123,
"required_cents": 123,
"fields": {},
"balance_cents": 123
}
}{
"error": {
"code": "insufficient_pool_traffic",
"message": "<string>",
"available_bytes": 123,
"required_cents": 123,
"fields": {},
"balance_cents": 123
}
}